Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface ComboBoxModel

All Superinterfaces:
  ListModel

All Known Subinterfaces:
  MutableComboBoxModel

All Known Implementing Classes:
  DefaultComboBoxModel, MetalFileChooserUI.DirectoryComboBoxModel, MetalFileChooserUI.FilterComboBoxModel

    public interface ComboBoxModel

extends ListModel

A data model for a combo box. This interface extends `ListDataModel` and adds the concept of a selected item. The selected item is generally the item which is visible in the combo box display area.

The selected item may not necessarily be managed by the underlying `ListModel`. This disjoint behavior allows for the temporary storage and retrieval of a selected item in the model.

Method Summary
`Object` | `getSelectedItem()` Returns the selected item
`void` | `setSelectedItem(Object anItem)` Set the selected item.

Methods inherited from interface javax.swing.ListModel
`addListDataListener, getElementAt, getSize, removeListDataListener`

Method Detail

### setSelectedItem

    void setSelectedItem(Object anItem)

  Set the selected item. The implementation of this method should notify all registered `ListDataListener`s that the contents have changed.

  Parameters:
    `anItem` - the list object to select or `null` to clear the selection

### getSelectedItem

    Object getSelectedItem()

  Returns the selected item

  Returns:
    The selected item or `null` if there is no selection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.